	<div class="templates" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false">
		<div data-type="dropDown" data-component="jrnlArtType" class="hidden"></div>
		<div data-type="contentEditable" data-component="jrnlSubjects" class="hidden"></div>
		<div data-type="contentEditable" data-component="jrnlVolume" class="hidden"></div>
		<div data-type="popUp" data-component="jrnlSubject" class="autoWidth hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<span class="btn btn-hover addInlineElement" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'addInlineElement'}">Add</span>
			<span class="btn btn-hover deleteInlineElement" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'deleteInlineElement'}">Delete</span>
			<div data-type="contentEditable" data-selector="."></div>
		</div>
		<div data-type="popUp" data-component="jrnlCategory" class="hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<div data-type="inputTags" data-selector="./*[@class='jrnlSubject']">
				<span data-template="true" class="input-tags chip green lighten-1">
					<i class="close material-icons">close</i>
				</span>
				<div data-input="true"></div>
			</div>
		</div>
		<div data-type="contentEditable" data-component="jrnlArtTitle" class="hidden"></div>
		<div data-type="popUp" data-component="jrnlAuthorGroup" class="hidden z-depth-2">
			<a class="waves-effect waves-light btn-floating btn-small com-edit"  data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'editPopUp'}"><i class="material-icons">mode_edit</i></a>
			
			<a class="waves-effect waves-light btn-floating btn-small com-delete" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'deletePopUp'}"><i class="material-icons">delete</i></a>
			
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<div data-selector=".//*[@class='jrnlSurName']" data-class="jrnlSurName" data-type="htmlComponent"></div>
			<div data-selector=".//*[@class='jrnlGivenName']" data-class="jrnlGivenName" data-type="htmlComponent"></div>
			
			<div data-selector=".//*[@class='jrnlAffRef']" data-class="jrnlAffRef" data-type="getLinkedObjects"></div>
			<div data-selector=".//*[@class='jrnlConRef']" data-class="jrnlConRef" data-place-before="Contribution: " data-type="getLinkedObjects"></div>
			<div data-selector=".//*[@class='jrnlCorrRef']" data-class="jrnlCorrRef" data-place-before="For correspondence: " data-type="getLinkedObjects"></div>
			<div data-selector=".//*[@class='jrnlContribID']" data-class="jrnlContribID" data-type="htmlComponent"></div>
			<div data-selector=".//*[@class='jrnlConfRef']" data-class="jrnlConfRef" data-place-before="Competing Interests: " data-type="getLinkedObjects"></div>
			<div data-selector=".//*[@class='jrnlFNRef'][contains(.,'contribute')]" data-class="jrnlFNRef" data-place-before="Equally contributed: " data-type="getLinkedObjects"></div>
		</div>
		<div data-type="popUp" data-component="jrnlAuthorGroup_edit" class="hidden z-depth-2" data-class="jrnlAuthorGroup">
			<div data-input-editable="true">
				<a class="btn-floating btn-small com-save saveComponent" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'saveComponent'}"><i class="material-icons">save</i></a>
				<a class="btn-floating btn-small com-close" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>

				<div class="row" style="margin-bottom:1.5rem;">
					<div class="col s12">
					  <ul class="tabs">
						<li class="tab col s3"><a class="active" href="#det_tab">Details</a></li>
						<li class="tab col s3"><a href="#aff_tab">Affiliations</a></li>
						<li class="tab col s3"><a href="#con_tab">Contributions</a></li>
						<li class="tab col s3"><a href="#com_tab">Competing Interest</a></li>
					  </ul>
					</div>
				</div>
				<!--div class="flip-card carousel carousel-slider"-->	
					<div id="det_tab" class="carousel-item">
						<div data-wrapper="true">
							<div class="row">
								<div class="input-field col m6 l3">
									<span data-class="jrnlGivenName" data-selector=".//*[@class='jrnlGivenName']" data-type="htmlComponent" data-validate="required" class="text-line" contenteditable="true" type="text"></span>
									<label>Givenname</label>
								</div>
								<div class="input-field col m6 l3">
									<span class="text-line" contenteditable="true" data-class="jrnlInitials" data-selector=".//*[@class='jrnlInitials']" data-type="htmlComponent" type="text"></span>
									<label>Initials</label>
								</div>
								<div class="input-field col m6 l3">
									<span class="text-line" contenteditable="true" data-class="jrnlSurName" data-selector=".//*[@class='jrnlSurName']" data-type="htmlComponent" data-validate="required" type="text"></span>
									<label>Surname</label>
								</div>
								<div class="input-field col m6 l3">
									<span class="text-line" contenteditable="true" data-class="jrnlSuffix" data-selector=".//*[@class='jrnlSuffix']" data-type="htmlComponent" type="text"></span>
									<label>Suffix</label>
								</div>
							</div>
							<div class="row" style="margin-bottom:1rem;">
								<div class="input-field col s12">
									<input type="checkbox" id="corresp-checkbox" data-class="jrnlCorresp" data-selector="./@corresp" data-type="checkBoxComponent" data-validate="requiredField" data-check-field="jrnlEmail"/>
									<label for="corresp-checkbox">Corresponding: </label>
								</div>
							</div>
							<div class="row" style="margin-top:1rem;">
								<div class="input-field col m12 l6">
									<span id="email" class="text-line cds" contenteditable="true" data-validate="email" data-class="jrnlEmail" data-selector=".//*[@class='jrnlCorrRef']" data-source-selector="//*[@class='jrnlEmail']" data-type="getNonLinkedObjects"></span>
									<label for="email">Email</label>
								</div>
								<div class="input-field col m12 l6">
									<span class="text-line" contenteditable="true" type="text"></span>
									<label>Orcid</label>
								</div>
							</div>
							<div class="row" style="margin-bottom:1rem;">
								<div class="input-field col s12">
									<input type="checkbox" id="equal-contrib-checkbox" data-class="jrnlEqualContrib" data-selector="./@equal-contrib" data-type="checkBoxComponent" data-validate="requiredField" data-check-field="jrnlFNRef"/>
									<label for="equal-contrib-checkbox">Equal contributor with: </label>
								</div>
							</div>
							<div class="row">
								<label style="margin-bottom: 8px;display: block;">Authors</label>
								<div data-type="inputTags" data-class="jrnlFNRef" data-selector="//*[@class='jrnlFNRef'][contains(@data-rid,'$RID')]/parent::span[not(contains(@id,'$ID'))]/span[@class='jrnlAuthor']" data-variables="$RID==.//*[@class='jrnlFNRef']/@data-rid,$ID==./@id" data-suggestion="//*[@class='jrnlAuthors']//span[@class='jrnlAuthor']">
									<span data-template="true" class="input-tags chip orange lighten-1">
										<i class="close material-icons">close</i>
									</span>
									<div data-input="true"  class="kriya-chips" data-source="tags"></div>
								</div>
							</div>
						</div>
					</div>
					<div id="aff_tab" class="carousel-item">
						<div class="collection-header">
							Affiliations
							<span class="btn btn-small amber lighten-1 addNew_btn" style="margin-left:5px;" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'addAffil'}"><i class="material-icons addNew">add</i>Add New</span>
							<div class="btn btn-small indigo lighten-2" data-onclick="dropdown-link" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'addExist'}" style="margin-left:5px;display:inline-block;position:relative;"><i class="material-icons addExisting">add</i>Add Existing
								<ul class="dropdown-link-content z-depth-1 hide" data-selector=".//*[@class='jrnlAffRef']" data-source-selector="//*[@class='jrnlAff']" data-class="jrnlAffRef" data-type="getNonLinkedObjects">
									<li data-template="true" class="dropdown-link-item" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'linkObjects'}"></li>
								</ul>
							</div>
						</div>
						<ul class="collection" data-selector=".//*[@class='jrnlAffRef']" data-class="jrnlAffRef" data-type="getLinkedObjects" data-source="jrnlAff" data-validate="requiredChild">
							<li data-template="true" class="collection-item dismissable">
								<span class="re-order">
									<i class="fa fa-long-arrow-down moveDown" aria-hidden="true" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'objectMoveDown'}"></i>
									<i class="fa fa-long-arrow-up moveUp" aria-hidden="true" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'objectMoveUp'}"></i>
								</span>
								<span data-input="true" style="padding-left:1.7rem;"></span>
								<i class="material-icons deleteLink" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'removeLinks'}">remove_circle_outline</i>
							</li>
						</ul>
					</div>
					<div id="con_tab" class="carousel-item">
						<div class="collection-header">
							Contribution
							<span class="btn btn-small amber lighten-1 addNew_btn" style="margin-left:5px;"><i class="material-icons addNew">add</i>Add New</span> 
							<div class="btn btn-small indigo lighten-2" data-onclick="dropdown-link" style="margin-left:5px;display:inline-block;position:relative;"><i class="material-icons addExisting">add</i>Add Existing
								<ul class="dropdown-link-content z-depth-1 hide" data-selector=".//*[@class='jrnlConRef']" data-source-selector="//*[@class='jrnlFN']" data-class="jrnlConRef" data-type="getNonLinkedObjects">
									<li data-template="true" class="dropdown-link-item"></li>
								</ul>
							</div>
						</div>
						<ul class="collection" data-selector=".//*[@class='jrnlConRef']" data-class="jrnlConRef" data-type="getLinkedObjects">
							<li data-template="true" class="collection-item dismissable"></li>
						</ul>
					</div>
					<div id="com_tab" class="carousel-item">
						<div class="collection-header">
							Competing Interests
							<span class="btn btn-small amber lighten-1 addNew_btn" style="margin-left:5px;"><i class="material-icons addNew">add</i>Add New</span> 
							<div class="btn btn-small indigo lighten-2" data-onclick="dropdown-link" style="margin-left:5px;display:inline-block;position:relative;"><i class="material-icons addExisting">add</i>Add Existing
								<ul class="dropdown-link-content z-depth-1 hide" data-selector=".//*[@class='jrnlConfRef']" data-source-selector="//*[@class='jrnlFN']" data-class="jrnlConfRef" data-type="getNonLinkedObjects">
									<li data-template="true" class="dropdown-link-item"></li>
								</ul>
							</div>
						</div>
						<ul class="collection" data-selector=".//*[@class='jrnlConfRef']" data-class="jrnlConfRef" data-type="getLinkedObjects">
							<li data-template="true" class="collection-item dismissable"></li>
						</ul>
					</div>
				<!--/div-->
			</div>
		</div>
		<div data-type="popUp" data-component="jrnlAff" class="hidden z-depth-2">
			<a class="btn-floating btn-small com-edit" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'editPopUp'}"><i class="material-icons">mode_edit</i></a>
			
			<a class="waves-effect waves-light btn-floating btn-small com-delete" data-channel="components" data-topic="PopUp" data-event="click" 
			data-message="{'funcToCall': 'deletePopUp'}"><i class="material-icons">delete</i></a>

			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<div class="row">
				<span data-class="jrnlAff" data-selector="." data-type="htmlComponent" class="text-lines"></span>
			</div>
			<div class="row" style="margin-top:10px;">
				<span style="color: #9e9e9e;font-size: 85%;">Affiliated Author(s): </span>
				<div style="display:inline-block;margin-left:5px;" data-type="inputTags" data-class="jrnlAffRef" data-selector="//*[@class='jrnlAffRef'][contains(@data-rid,'$ID')]/parent::span/span[@class='jrnlAuthor']" data-variables="$ID==./@id">
					<span data-template="true" class="input-tags chip orange lighten-1">
					</span>
					<div data-input="true"></div>
				</div>
			</div>
		</div>
		<div data-type="popUp" data-component="jrnlAff_edit" data-class="jrnlAff" data-group="jrnlAffGroup" data-id-prefix="aff" class="hidden z-depth-2">
			<div data-input-editable="true">

				<a class="btn-floating btn-small com-close" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>

				<a class="btn-floating btn-small com-save saveComponent" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'saveComponent'}"><i class="save material-icons">save</i></a>
				<div data-wrapper="true">
					<div class="row">
						<div class="input-field col s12">
							<span contenteditable="true" type="text" data-class="jrnlDepartment" data-selector=".//*[@class='jrnlDepartment']" data-type="htmlComponent" class="text-line"></span>
							<label>Department</label>
						</div>
					</div>
					<div class="row">
						<div class="input-field col s12">
							<span contenteditable="true" type="text" data-class="jrnlInstitution" data-selector=".//*[@class='jrnlInstitution']" data-type="htmlComponent" class="text-line" data-validate="required"></span>
							<label>Institution</label>
						</div>
					</div>
					<div class="row">
						<div class="input-field col s12">
							<span contenteditable="true" type="text" data-class="jrnlCity" data-selector=".//*[@class='jrnlCity']" data-type="htmlComponent" class="text-line"></span>
							<label>City</label>
						</div>
					</div>
					<div class="row">
						<div class="input-field col s12">
							<span contenteditable="true" type="text" data-class="jrnlCountry" data-selector=".//*[@class='jrnlCountry']" data-type="htmlComponent" class="text-line"></span>
							<label>Country</label>
						</div>
					</div>
				</div>
				<div class="row authorAffLinks">
					<label style="margin-bottom: 8px;display: block;">Authors</label>
					<div data-type="inputTags" data-class="jrnlAffRef" data-selector="//*[@class='jrnlAffRef'][contains(@data-rid,'$ID')]/parent::span/span[@class='jrnlAuthor']" data-variables="$ID==./@id" data-suggestion="//*[@class='jrnlAuthors']//span[@class='jrnlAuthor']">
						<span data-template="true" class="input-tags chip orange lighten-1">
							<i class="close material-icons">close</i>
						</span>
						<div data-input="true" class="kriya-chips" data-validate="requiredChild" data-source="tags"	></div>
					</div>
				</div>
			</div>
		</div>
		<div data-type="contentEditable" data-component="jrnlMetaValue" class="hidden"></div>
		<div data-type="popUp" data-component="award-group" class="hidden z-depth-2">
			<a class="btn-floating btn-small hidden" style="position: absolute;top: -12px;right: -12px;"><i class="close material-icons">close</i></a>
			<a class="btn-floating btn-small com-edit" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'editPopUp'}"><i class="material-icons">mode_edit</i></a>
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<div class="row">
				<div class="input-field col s12">
					<span id="aff_c1" data-class="institution-id" data-selector=".//*[@class='institution-id']" data-type="htmlComponent" class="text-line"></span>
					<label>Institution-ID</label>
				</div>
			</div>
			<div class="row">
				<div class="input-field col s12">
					<span id="aff_c2" type="text" data-class="institution" data-selector=".//*[@class='institution']" data-type="htmlComponent" class="text-line"></span>
					<label>Institution</label>
				</div>
			</div>
			<div class="row">
				<div class="input-field col s12">
					<span id="aff_c3" type="text" data-class="jrnlAwardID" data-selector=".//*[@class='jrnlAwardID']" data-type="htmlComponent" class="text-line"></span>
					<label>Award ID</label>
				</div>
			</div>
			<div class="row">
				<div data-type="inputTags" data-selector="//*[@class='jrnlFundRef'][@data-rid='$ID']/parent::span/span[@class='jrnlAuthor']" data-variables="$ID==./@id">
					<span data-template="true" class="input-tags chip orange lighten-1">
						<i class="close material-icons">close</i>
					</span>
					<div data-input="true"></div>
				</div>
			</div>
		</div>
		<div data-type="contentEditable" data-component="jrnlAbsPara" class="hidden"></div>
		<div data-type="contentEditable" data-component="jrnlBoxText" class="hidden"></div>
		<div data-type="contentEditable" data-component="jrnlFNPara" class="hidden"></div>
		<div data-type="contentEditable" data-component="jrnlKeywords" class="hidden z-depth-2"></div>
		<div data-type="popUp" data-component="jrnlKeyword" class="autoWidth hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<span class="btn btn-hover addInlineElement">Add</span>
			<span class="btn btn-hover deleteInlineElement">Delete</span>
			<div data-type="contentEditable" data-selector="."></div>
		</div>
		<div data-type="popUp" data-component="jrnlSecPara" data-selection="true" class="autoWidth hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<span class="btn btn-hover">Cut</span>
			<span class="btn btn-hover">Copy</span>
			<span class="btn btn-hover">Paste</span>
			<span class="btn btn-hover" data-channel="menu" data-topic="insert" data-event="click" data-message="{'funcToCall': 'newCite', 'param': {'method': 'ADD', 'type': 'QUERY', 'value': ''}}">Add Query</span>
		</div>
		<div data-type="popUp" data-component="jrnlReDates" class="autoWidth hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<input type="text" data-selector="." data-type="getDatePicker" class="datePicker"/>
		</div>
		<div data-type="popUp" data-component="jrnlAcDates" class="autoWidth hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<input type="text" data-selector="." data-type="getDatePicker" class="datePicker"/>
		</div>
		<div data-type="popUp" data-component="related-object" class="hidden z-depth-2">
			<a class="btn-floating btn-small hidden" style="position: absolute;top: -12px;right: -12px;"><i class="close material-icons">close</i></a>
			<a class="btn-floating btn-small com-edit" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'editPopUp'}"><i class="material-icons">mode_edit</i></a>
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<div class="row">
				<div data-type="inputTags" data-selector=".//*[@class='collab']">
					<span data-template="true" class="input-tags chip orange lighten-1">
						<i class="close material-icons">close</i>
					</span>
					<div data-input="true"></div>
				</div>
			</div>
			<div class="row" style="margin-top:15px;">
				<div class="input-field col s12">
					<span id="aff_c2" type="text" data-class="year" data-selector=".//*[@class='year']" data-type="htmlComponent" class="text-line"></span>
					<label>Year</label>
				</div>
			</div>
			<div class="row">
				<div class="input-field col s12">
					<span id="aff_c3" type="text" data-class="source" data-selector=".//*[@class='source']" data-type="htmlComponent" class="text-line"></span>
					<label>Source</label>
				</div>
			</div>
			<div class="row">
				<div class="input-field col s12">
					<span id="aff_c3" type="text" data-class="object-id" data-selector=".//*[@class='object-id']" data-type="htmlComponent" class="text-line"></span>
					<label>Source URL</label>
				</div>
			</div>
			<div class="row">
				<div class="input-field col s12">
					<span id="aff_c3" type="text" data-class="comment" data-selector=".//*[@class='comment']" data-type="htmlComponent" class="text-line"></span>
					<label>Comment</label>
				</div>
			</div>
		</div>
		<div data-type="popUp" data-component="jrnlBibRefs" class="hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<span data-selector="//*[@class='jrnlRefText'][@id='$ID']//span[@class='RefSlNo']" data-variables="$ID==./@data-citation-string" data-class="RefSlNo" data-type="htmlComponent"></span>
			<span data-selector="//*[@class='jrnlRefText'][@id='$ID']//span[@class='RefArticleTitle']" data-variables="$ID==./@data-citation-string" data-class="RefArticleTitle" data-type="htmlComponent"></span>
			<p style="margin:0px;">	
				<span data-selector="//*[@class='jrnlRefText'][@id='$ID']//span[@class='RefAuthor']|//*[@class='jrnlRefText'][@id='$ID']//span[@class='RefCollaboration']" data-variables="$ID==./@data-citation-string" data-class="RefAuthor" data-type="htmlComponent"></span>
			</p>
			<span data-selector="//*[@class='jrnlRefText'][@id='$ID']//span[@class='RefJournalTitle' or @class='RefBookTitle' or @class='source']" data-variables="$ID==./@data-citation-string" data-class="RefSource" data-type="htmlComponent"></span>
			<i class="material-icons deleteCitation" data-tooltip="Delete Citation" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'deleteCitation'}">delete_forever</i>
		</div>
		<div data-type="popUp" data-component="jrnlBibRef" class="hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<a class="btn-floating btn-small com-delete deleteSelectedCitation" add-class="hidden"><i class="material-icons">delete</i></a>
			
			<a class="btn-floating btn-small com-close" add-class="hidden" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>

			<div data-type="getLinkedCitations" data-template="true" data-selector="//*[@class='jrnlRefText'][@id='$ID']">	
				<span data-selector=".//span[@class='RefSlNo']" data-class="RefSlNo" data-sub-type="htmlComponent"></span>
				<span data-selector=".//span[@class='RefArticleTitle' or @class='RefChapterTitle' ]" data-class="RefArticleTitle" data-sub-type="htmlComponent"></span>
				<p style="margin:0px;">	
					<span data-selector=".//span[@class='RefAuthor' or @class='RefCollaboration']" data-class="RefAuthor" data-sub-type="htmlComponent"></span>
				</p>
				<span data-selector=".//span[@class='RefJournalTitle' or @class='RefBookTitle' or @class='source']" data-class="RefSource" data-sub-type="htmlComponent"></span>
				<span data-selector=".//span[@class='RefYear']" data-class="RefSource" data-sub-type="htmlComponent"></span>
				<i class="material-icons deleteCitation" data-tooltip="Delete Citation" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'deleteCitation'}">delete_forever</i>
			</div>
			<div class="" add-class="hidden">
			</div>
		</div>
		<div data-type="popUp" data-component="jrnlFigRef" class="hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<a class="btn-floating btn-small com-delete deleteSelectedCitation" add-class="hidden"><i class="material-icons">delete</i></a>
			
			<a class="btn-floating btn-small com-close" add-class="hidden" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>

			<div data-type="getLinkedCitations" data-template="true" data-selector="//*[@class='jrnlFigCaption'][@id='$ID']">	
				<span data-selector="." data-class="jrnlFigCaption" data-sub-type="htmlComponent"></span>
				<i class="material-icons deleteCitation" data-tooltip="Delete Citation" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'deleteCitation'}">delete_forever</i>
			</div>
			<div class="" add-class="hidden">
			</div>
		</div>
		<div data-type="popUp" data-component="jrnlTblRef" class="hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<a class="btn-floating btn-small com-delete deleteSelectedCitation" add-class="hidden"><i class="material-icons">delete</i></a>
			<a class="btn-floating btn-small com-close" add-class="hidden" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>

			<div data-type="getLinkedCitations" data-template="true" data-selector="//*[@class='jrnlTblCaption'][@id='$ID']">	
				<span data-selector="." data-class="jrnlFigCaption" data-sub-type="htmlComponent"></span>
				<i class="material-icons deleteCitation" data-tooltip="Delete Citation" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'deleteCitation'}">delete_forever</i>
			</div>
			<div class="" add-class="hidden">
			</div>
		</div>
		<div data-type="popUp" data-component="jrnlRefText" class="autoWidth hidden z-depth-2">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<span class="btn btn-hover com-edit" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'editPopUp'}" style="margin-right:2px;">Edit</span><span class="btn btn-hover">Delete</span>
		</div>
		<div data-type="popUp" data-component="addQuery_edit" class="hidden z-depth-2">
			<div data-input-editable="true">
				<span class="input-type">
					To: <select id='queryPerson' style="padding:4px">
						<option value="Author">Author</option>
						<option value="Publisher">Publisher</option>
					</select>
				</span>
				<ul class="tab" style="display:inline-block;">
				<li><span class="tablinks" >Info</span></li>
				<li><span  class="tablinks">Action</span></li>
				</ul>
				<a class="btn-floating btn-small com-close" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>
				<a class="btn-floating btn-small com-save saveComponent"><i class="save material-icons">save</i></a>
				<div data-wrapper="true" contentEditable="true" class='queryContent' placeholder="comments" style="border:1px solid lightgrey">
				
				</div>
				<div class="row center-align">
				
				<span class="btn btn-medium orange" data-channel="query" data-topic="addQuery" data-event="click" data-message="{'funcToCall': 'showQuery'}">Ok</span>
				</div>
			</div>
		</div>
		<div data-type="popUp" data-component="QUERY" class="hoverInline hidden z-depth-2 bottom">
			<a class="btn-floating btn-small com-save" data-channel="query" data-topic="addQuery" data-event="click" data-message="{'funcToCall': 'showQuery'}"><i class="material-icons">save</i></a>
			<a class="btn-floating btn-small com-close" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<div class="row">
				<span class="input-type">
					To: <select id='queryPerson' style="padding:4px">
						<option value="Author">Author</option>
						<option value="Publisher">Publisher</option>
					</select>
				</span>
				<div class="tabs">
					<span class="query tab active" add-class="active">INFO</span>
					<span class="query tab" remove-class="active">ACTION</span>
					<!--span class="query tab">CONFIRM</span-->
				</div>				
				<span data-class="jrnlQueryText" class="text-line infotext queryContent" add-focus="true" remove-class="hidden" contenteditable="true" type="text" style="min-width: 300px;"></span>
				<span data-class="jrnlQueryText" class="actiontext" add-class="hidden" style="min-width: 300px;width:100%;min-height:0em;display: block;">
					Select Type: <select style="display:inline-block;width: auto;padding: 2px;height: auto;margin: 7px;" id="actionQuery">
						<option value="---">-- Select --</option>
						<option value="Manufacturer">Manufacturer</option>
					</select>
					<span  class="text-line actiontext queryContent" contenteditable="true" type="text" style="min-width: 300px;"></span>
				</span>
				<span class="hidden" data-query-type="Manufacturer">Manufacturer query: Please provide the manufacturer location (city and state [if USA], or country [if not USA]) for the manufacturer in this sentence. In addition, please check that these details are provided on the first mention of any other manufacturers cited in the article.</span>
				<span data-class="jrnlQueryText" class="text-line confirmtext queryContent" contenteditable="true" type="text" style="min-width: 300px;display:none;"></span>
			</div>
		</div>
		<div data-type="popUp" data-component="jrnlRefText_edit" data-class="jrnlRefText" class="hidden z-depth-2">
			<div data-input-editable="true">
				<span class="input-type ref-type">
					Type: <select>
						<option value="Journal">Journal</option>
						<option value="Book">Book</option>
					</select>
				</span>
				<a class="btn-floating btn-small com-close" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>
				<a class="btn-floating btn-small com-save saveComponent" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'saveComponent'}" remove-class="hidden"><i class="save material-icons">save</i></a>
				<a class="btn-floating btn-small com-save com-new-save hidden" add-class="hidden" data-channel="menu" data-topic="reference" data-event="click" data-message="{'funcToCall': 'insertNewReference'}"><i class="save material-icons">save</i></a>
				<div data-wrapper="true" remove-class="hidden">
					<div data-if-selector=".//*[@class='RefArticleTitle']" data-ref-type="Journal">
						<div class="row input-field">
							<div class="col s2">
								<label>Author</label>
								<i class="material-icons addNewField" style="position: absolute;top: 0.5rem;font-size: 1.3rem;right: 0;color: #2a79ae;cursor:pointer;" data-channel="components" data-topic="reference" data-event="click" data-message="{'funcToCall': 'addNewField'}">add_box</i>
							</div>
							<div class="col s10">
								<span contenteditable="true" data-template="true" data-class="RefAuthor" data-selector=".//*[@class='RefAuthor']" data-type="htmlComponent" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'addAuthor'}">
									<span data-placeholder="Surname" data-class="RefSurName" data-selector=".//*[@class='RefSurName']" data-type="htmlComponent" class="text-inline"></span>
									<span data-placeholder="Given Name" data-class="RefGivenName" data-selector=".//*[@class='RefGivenName']" data-type="htmlComponent" class="text-inline"></span>
								</span>
							</div>
						</div>
						<div class="row input-field">
							<div class="col s2">
								<label>Article Title</label>
							</div>
							<div class="col s10">
								<span contenteditable="true" data-class="RefArticleTitle" data-selector=".//*[@class='RefArticleTitle']" data-type="htmlComponent" class="text-line"></span>
							</div>
						</div>
						<div class="row input-field">
							<div class="col s2">
								<label>Journal title</label>
							</div>
							<div class="col s10">
								<span contenteditable="true" data-class="RefJournalTitle" data-selector=".//*[@class='RefJournalTitle']" data-type="htmlComponent" class="text-line"></span>
							</div>
						</div>
						<div class="row">
							<div class="input-field col s3">
								<span contenteditable="true" data-class="RefYear" data-selector=".//*[@class='RefYear']" data-type="htmlComponent" class="text-line"></span>
								<label>Year</label>
							</div>
							<div class="input-field col s3">
								<span contenteditable="true" data-class="RefVolume" data-selector=".//*[@class='RefVolume']" data-type="htmlComponent" class="text-line"></span>
								<label>Volume</label>
							</div>
							<div class="input-field col s3">
								<span contenteditable="true" data-class="RefFPage" data-selector=".//*[@class='RefFPage']" data-type="htmlComponent" class="text-line"></span>
								<label>First Page</label>
							</div>
							<div class="input-field col s3">
								<span contenteditable="true" data-class="RefLPage" data-selector=".//*[@class='RefLPage']" data-type="htmlComponent" class="text-line"></span>
								<label>Last Page</label>
							</div>
						</div>
					</div>
					<div data-if-selector=".//*[@class='RefChapterTitle']|.//*[@class='RefBookTitle']" data-ref-type="Book">
						<div class="row input-field">
							<div class="col s2">
								<label>Author</label>
								<i class="material-icons addNewField" data-channel="components" data-topic="reference" data-event="click" data-message="{'funcToCall': 'addNewField'}" style="position: absolute;top: 0.5rem;font-size: 1.3rem;right: 0;color: #2a79ae;cursor:pointer;">add_box</i>
							</div>
							<div class="col s10">
								<span contenteditable="true" data-template="true" data-class="RefAuthor" data-selector=".//*[@class='RefAuthor']" data-type="htmlComponent">
									<span data-placeholder="Surname" data-class="RefSurName" data-selector=".//*[@class='RefSurName']" data-type="htmlComponent" class="text-inline"></span>
									<span data-placeholder="Given Name" data-class="RefGivenName" data-selector=".//*[@class='RefGivenName']" data-type="htmlComponent" class="text-inline"></span>
								</span>
							</div>
						</div>
						<div class="row input-field">
							<div class="col s2">
								<label>Chapter Title</label>
							</div>
							<div class="col s10">
								<span contenteditable="true" data-class="RefArticleTitle" data-selector=".//*[@class='RefChapterTitle']" data-type="htmlComponent" class="text-line"></span>
							</div>
						</div>
						<div class="row input-field">
							<div class="col s2">
								<label>Editors</label>
								<i class="material-icons" style="position: absolute;top: 0.5rem;font-size: 1.3rem;right: 0;color: #2a79ae;cursor:pointer;">add_box</i>
							</div>
							<div class="col s10">
								<span contenteditable="true" data-template="true" data-class="RefEditor" data-selector=".//*[@class='RefEditor']" data-type="htmlComponent">
									<span data-placeholder="Surname" data-class="RefSurName" data-selector=".//*[@class='RefSurName']" data-type="htmlComponent" class="text-inline"></span>
									<span data-placeholder="Given Name" data-class="RefGivenName" data-selector=".//*[@class='RefGivenName']" data-type="htmlComponent" class="text-inline"></span>
								</span>
							</div>
						</div>
						<div class="row input-field">
							<div class="col s2">
								<label>Book title</label>
							</div>
							<div class="col s10">
								<span contenteditable="true" data-class="RefJournalTitle" data-selector=".//*[@class='RefBookTitle']" data-type="htmlComponent" class="text-line"></span>
							</div>
						</div>
						<div class="row">
							<div class="input-field col s6">
								<span contenteditable="true" data-class="RefPublisherName" data-selector=".//*[@class='RefPublisherName']" data-type="htmlComponent" class="text-line"></span>
								<label>Publisher Name</label>
							</div>
							<div class="input-field col s6">
								<span contenteditable="true" data-class="RefPublisherLoc" data-selector=".//*[@class='RefPublisherLoc']" data-type="htmlComponent" class="text-line"></span>
								<label>Publisher Location</label>
							</div>
						</div>
						<div class="row">
							<div class="input-field col s3">
								<span contenteditable="true" data-class="RefYear" data-selector=".//*[@class='RefYear']" data-type="htmlComponent" class="text-line"></span>
								<label>Year</label>
							</div>
							<div class="input-field col s3">
								<span contenteditable="true" data-class="RefVolume" data-selector=".//*[@class='RefVolume']" data-type="htmlComponent" class="text-line"></span>
								<label>Volume</label>
							</div>
							<div class="input-field col s3">
								<span contenteditable="true" data-class="RefFPage" data-selector=".//*[@class='RefFPage']" data-type="htmlComponent" class="text-line"></span>
								<label>First Page</label>
							</div>
							<div class="input-field col s3">
								<span contenteditable="true" data-class="RefLPage" data-selector=".//*[@class='RefLPage']" data-type="htmlComponent" class="text-line"></span>
								<label>Last Page</label>
							</div>
						</div>
					</div>
				</div>
				<div class="validatedRefHTML hidden" add-class="hidden"></div>
				<div class="row center-align">
					<span class="btn btn-medium orange validateRef" data-channel="menu" data-topic="reference" data-event="click" data-message="{'funcToCall': 'validate'}" remove-class="hidden">Validate<span class="fa fa-spin fa-spinner hidden"></span></span>
				</div>
			</div>
		</div>
		<div data-type="popUp" data-component="RefAuthor_add" data-sub-type="true" class="autoWidth hidden z-depth-2 bottom">
			<i class="material-icons arrow-denoter">arrow_drop_down</i>
			<span class="btn btn-hover addInlineElement">Add</span>
			<span class="btn btn-hover deleteInlineElement">Delete</span>
		</div>
		<div data-type="popUp" data-component="CITATION" class="hoverInline hidden z-depth-2 bottom">
				<a class="btn-floating btn-small com-save saveComponent"><i class="material-icons">save</i></a>
				<a class="btn-floating btn-small com-close" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>
				<i class="material-icons arrow-denoter">arrow_drop_down</i>
				<div class="row">
					<div class="tabs">
						<span class="tab active">Reference</span>
						<span class="tab">Figure</span>
						<span class="tab">Table</span>
					</div>
					<span data-class="jrnlCitation" class="text-line" contenteditable="true" type="text" style="min-width: 200px;"></span>
				</div>
		</div>
		<div data-type="popUp" data-component="FIGURE_edit" data-class="jrnlFigBlock" data-link-class="jrnlFigRef" data-display="modal" data-insert-type="float" class="hidden z-depth-2 bottom" data-node="div">
			<div data-input-editable="true">
				<a class="btn-floating btn-small com-close" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>
				<a class="btn-floating btn-small com-save saveComponent"><i class="save material-icons">save</i></a>
				<div class="row input-field">
					<h4>Insert New Figure</h4>
				</div>
				<div class="row input-field">
					<div contenteditable="true" data-class="jrnlFigCaption" data-selector=".//*[@class='jrnlFigCaption']" data-type="htmlComponent" class="text-line" data-node="p" data-validate="required"></div>
					<label>Caption</label>
				</div>
				<div id="uploader" class="fileHolder">
					<div class="fileList" style="margin: 10px;"></div>
					<div class="i-note">
						<p style="opacity: 0.6;">Drag and drop Files here to Upload</p>
						<p><span class="btn btn-medium amber"><input type="file" name="files[]" multiple="" style="display:none;"><span class="fileChooser">Or Select Files to Upload</span></span></p>
					</div>
				</div>
				<div class="row input-field">
					<div contenteditable="true" data-class="jrnlFigFoot" data-selector=".//*[@class='jrnlFigFoot']" data-type="htmlComponent" class="text-line" data-node="p"></div>
					<label>Footnote</label>
				</div>
			</div>
		</div>
		<div data-type="popUp" data-component="TABLE_edit" data-class="jrnlTblBlock" data-link-class="jrnlTblRef" data-display="modal" data-insert-type="float" class="hidden z-depth-2 bottom" data-node="div">
			<div data-input-editable="true">
				<a class="btn-floating btn-small com-close" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>
				<a class="btn-floating btn-small com-save saveComponent"><i class="save material-icons">save</i></a>
				<div class="row input-field">
					<h4>Insert New Table</h4>
				</div>
				<div class="row input-field">
					<div contenteditable="true" data-class="jrnlTblCaption" data-selector=".//*[@class='jrnlTblCaption']" data-type="htmlComponent" class="text-line" data-node="p" data-validate="required"></div>
					<label>Caption</label>
				</div>
				<div class="tableClone">
					<div style="margin: 10px;">No. of Rows <input class="addRowTemplate" type="number" value="3" max="10" min="1"/>, columns <input class="addColumnTemplate" type="number" value="3" max="10" min="1"/></div>
					<table data-type="table">
						<thead><tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr></thead>
						<tbody>
							<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
							<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
						</tbody>
					</table>
				</div>
				<div class="row input-field">
					<div contenteditable="true" data-class="jrnlTblFoot" data-selector=".//*[@class='jrnlTblFoot']" data-type="htmlComponent" class="text-line" data-node="p"></div>
					<label>Footnote</label>
				</div>
			</div>
		</div>
		<div data-type="popUp" data-component="confirmation_edit" data-class="confirmation" class="hidden  z-depth-2">
			<div data-input-editable="true">

				<a class="btn-floating btn-small com-close" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}"><i class="close material-icons">close</i></a>
				<div class="popupHeading"><i class="fa fa-warning"></i> Confirmation Needed</div>
				<div class="popupBody">
					<div class="popUpText">
						Are you sure do you want to delete?
					</div>
				</div>
				<div class="popupFoot">
					<span class="btn btn-medium btn-danger pull-right" data-channel="components" data-topic="PopUp" data-event="click" data-message="{'funcToCall': 'closePopUp'}">No</span>
					<span class="btn btn-medium amber lighten-1 pull-right" style="margin-right: 5px;" data-channel="components" data-topic="general" data-event="click" data-message="{'funcToCall': 'deleteElement'}">Yes</span>
				</div>
			</div>
		</div>
	</div>